OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
StepData

# StepData_DescrProtocol Class Reference

A DescrProtocol is a protocol dynamically (at execution time)
defined with :
- a list of resources (inherits FileProtocol)
- a list of entity descriptions
i.e. it can be defined with only C++ writing to initialize it
Its initialization must :
- set its schema name
- define its resources (which can also be other DescrProtocol)
- define its entity descriptions
- record it in the system by calling RecordLib
.

`#include <StepData_DescrProtocol.hxx>`

Inheritance diagram for StepData_DescrProtocol:

[legend]

## Public Member Functions
Standard_EXPORT | StepData_DescrProtocol ()
Standard_EXPORT void | SetSchemaName (const Standard_CString name)
| Defines a specific Schema Name for this Protocol .
Standard_EXPORT void | LibRecord () const
| Records this Protocol in the service libraries, with a DescrGeneral and a DescrReadWrite Does nothing if the Protocol brings no proper description .
virtual Standard_EXPORT Standard_CString | SchemaName () const
| Returns the Schema Name attached to each class of Protocol here, returns the SchemaName set by SetSchemaName was C++ : return const .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
TCollection_AsciiString | thename

## Constructor & Destructor Documentation

Standard_EXPORT StepData_DescrProtocol::StepData_DescrProtocol | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepData_DescrProtocol::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepData_FileProtocol.

Standard_EXPORT void StepData_DescrProtocol::LibRecord | ( |  | ) | const

virtual Standard_EXPORT Standard_CString StepData_DescrProtocol::SchemaName | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_FileProtocol.

Standard_EXPORT void StepData_DescrProtocol::SetSchemaName | ( | const Standard_CString | name | ) |

## Field Documentation

TCollection_AsciiString StepData_DescrProtocol::thename`[private]`

The documentation for this class was generated from the following file:

- StepData_DescrProtocol.hxx